Opened 7 years ago

Last modified 7 years ago

#6650 new defect

yum install gtk2-devel fails on build 697

Reported by: teus Owned by: jg
Priority: normal Milestone: 8.2.0 (was Update.2)
Component: distro Version:
Keywords: Cc:
Blocked By: Blocking:
Deployments affected: Action Needed:
Verified: yes

Description

Symptoms:

bash# yum install gtk2-devel
Excluding Packages from OLPC development (koji sources)
Finished
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package gtk2-devel.i386 0:2.10.14-3.fc7 set to be updated
--> Processing Dependency: libXcursor-devel for package: gtk2-devel
--> Processing Dependency: libXi-devel for package: gtk2-devel
--> Processing Dependency: atk-devel >= 1.9.0-1 for package: gtk2-devel
--> Processing Dependency: libXrandr-devel for package: gtk2-devel
--> Processing Dependency: libXext-devel for package: gtk2-devel
--> Processing Dependency: glib2-devel >= 2.12.0-1 for package: gtk2-devel
--> Processing Dependency: libXfixes-devel for package: gtk2-devel
--> Processing Dependency: libpng-devel for package: gtk2-devel
--> Processing Dependency: libX11-devel for package: gtk2-devel
--> Processing Dependency: libXinerama-devel for package: gtk2-devel
--> Processing Dependency: pango-devel >= 1.13.0-1 for package: gtk2-devel
--> Processing Dependency: cairo-devel >= 1.2.0-1 for package: gtk2-devel
--> Running transaction check
---> Package cairo-devel.i386 0:1.4.12-1.fc7 set to be updated
--> Processing Dependency: fontconfig-devel >= 2.0 for package: cairo-devel
--> Processing Dependency: freetype-devel >= 2.1.3-3 for package: cairo-devel
--> Processing Dependency: libXrender-devel for package: cairo-devel
---> Package libpng-devel.i386 2:1.2.22-1.fc7 set to be updated
--> Processing Dependency: zlib-devel for package: libpng-devel
---> Package libXinerama-devel.i386 0:1.0.2-1.fc7 set to be updated
--> Processing Dependency: xorg-x11-proto-devel for package: libXinerama-devel
---> Package libXrandr-devel.i386 0:1.2.0-3.fc7 set to be updated
---> Package libXcursor-devel.i386 0:1.1.8-1 set to be updated
---> Package atk-devel.i386 0:1.18.0-1.fc7 set to be updated
---> Package libXi-devel.i386 0:1.1.3-2.olpc2 set to be updated
--> Processing Dependency: xorg-x11-proto-devel >= 7.2-12 for package: libXi-devel
---> Package glib2-devel.i386 0:2.12.13-1.fc7 set to be updated
--> Processing Dependency: /usr/bin/perl for package: glib2-devel
---> Package pango-devel.i386 0:1.16.4-2.fc7 set to be updated
--> Processing Dependency: libXft-devel for package: pango-devel
---> Package libX11-devel.i386 0:1.1.3-3.git20071123.olpc2 set to be updated
--> Processing Dependency: libXdmcp-devel for package: libX11-devel
--> Processing Dependency: libXau-devel for package: libX11-devel
---> Package libXfixes-devel.i386 0:4.0.3-1 set to be updated
---> Package libXext-devel.i386 0:1.0.1-2.1 set to be updated
--> Running transaction check
---> Package libXft-devel.i386 0:2.1.12-1.fc7 set to be updated
---> Package perl.i386 4:5.8.8-27.fc7 set to be updated
--> Processing Dependency: perl-libs for package: perl
--> Processing Dependency: perl-libs = 4:5.8.8-27.fc7 for package: perl
--> Processing Dependency: libperl.so for package: perl
---> Package fontconfig-devel.i386 0:2.4.2-5.olpc2 set to be updated
---> Package libXdmcp-devel.i386 0:1.0.2-2.fc7 set to be updated
---> Package libXi-devel.i386 0:1.1.3-2.olpc2 set to be updated
--> Processing Dependency: xorg-x11-proto-devel >= 7.2-12 for package: libXi-devel
---> Package zlib-devel.i386 0:1.2.3-10.fc7 set to be updated
---> Package freetype-devel.i386 0:2.3.4-3.fc7 set to be updated
---> Package libXrender-devel.i386 0:0.9.2-1.fc7 set to be updated
---> Package xorg-x11-proto-devel.i386 0:7.2-9.fc7 set to be updated
--> Processing Dependency: mesa-libGL-devel for package: xorg-x11-proto-devel
---> Package libXau-devel.i386 0:1.0.3-1.fc7 set to be updated
--> Running transaction check
---> Package libXi-devel.i386 0:1.1.3-2.olpc2 set to be updated
--> Processing Dependency: xorg-x11-proto-devel >= 7.2-12 for package: libXi-devel
---> Package perl-libs.i386 4:5.8.8-27.fc7 set to be updated
---> Package mesa-libGL-devel.i386 0:6.5.2-13.fc7 set to be updated
--> Processing Dependency: libGL.so.1 for package: mesa-libGL-devel
--> Processing Dependency: mesa-libGL = 6.5.2-13.fc7 for package: mesa-libGL-devel
--> Running transaction check
---> Package mesa-libGL.i386 0:6.5.2-13.fc7 set to be updated
--> Processing Dependency: libdrm.so.2 for package: mesa-libGL
--> Processing Dependency: libdrm >= 2.3.0 for package: mesa-libGL
---> Package libXi-devel.i386 0:1.1.3-2.olpc2 set to be updated
--> Processing Dependency: xorg-x11-proto-devel >= 7.2-12 for package: libXi-devel
--> Running transaction check
---> Package libXi-devel.i386 0:1.1.3-2.olpc2 set to be updated
--> Processing Dependency: xorg-x11-proto-devel >= 7.2-12 for package: libXi-devel
---> Package libdrm.i386 0:2.3.0-5.fc7 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: xorg-x11-proto-devel >= 7.2-12 is needed by package libXi-devel

Attachments (1)

x.txt (4.7 KB) - added by teus 7 years ago.

Download all attachments as: .zip

Change History (5)

Changed 7 years ago by teus

comment:1 Changed 7 years ago by teus

Hmm, the log does not view pretty: Attaching it as x.txt

comment:2 Changed 7 years ago by teus

  • Milestone changed from Never Assigned to Update.1

comment:3 Changed 7 years ago by shikhar

  • Verified set

I ran into this bug; verifying

comment:4 Changed 7 years ago by shikhar

[ build update.1 703 ]

Note: See TracTickets for help on using tickets.